AuthenticationContainer (Gradle API 9.7.1)
Description: declaration: package: org.gradle.api.artifacts.repositories, interface: AuthenticationContainer

# Interface AuthenticationContainer

All Superinterfaces:
  `Collection<Authentication>, Configurable<NamedDomainObjectContainer<Authentication>>, DomainObjectCollection<Authentication>, DomainObjectSet<Authentication>, Iterable<Authentication>, NamedDomainObjectCollection<Authentication>, NamedDomainObjectContainer<Authentication>, NamedDomainObjectSet<Authentication>, PolymorphicDomainObjectContainer<Authentication>, Set<Authentication>`

public interface AuthenticationContainer extends PolymorphicDomainObjectContainer<Authentication>
Container for configuring repository authentication schemes of type `Authentication`.

- ## Method Summary

  ### Methods inherited from interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, getElements, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface Iterable

  `forEach`

  ### Methods inherited from interface NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

  ### Methods inherited from interface NamedDomainObjectContainer

  `configure, create, create, create, maybeCreate, register, register`

  ### Methods inherited from interface NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface PolymorphicDomainObjectContainer

  `containerWithType, create, create, maybeCreate, register, register`

  ### Methods inherited from interface Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`